#!/bin/sh
#
# $Id: @(#)16  1.2 src/pdwebsms/service/smsservicelevel.sh.src, pdwebsms.serviceability, amwebsms611 05/05/12 00:17:29 @(#) $
#
# Component Name: pdwebsms.serviceability
#
# File Name: smsservicelevel.sh
#
# Licensed Materials - Property of IBM
# 5724-C0814
# (c) Copyright International Business Machines Corp. 2005
# All Rights Reserved
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.
#

bindir=`dirname $0`
smshome=`cd "${bindir}/.."; pwd`
smscfgjar="${smshome}/lib/smscfg.jar"
messagesjar="${smshome}/nls/java/messages.jar"
classpath="${messagesjar}:${smscfgjar}"

# Try and locate a suitable java - preference WebSphere's java over anything else
JAVA=""
if [ -z "$JAVA" -a -n "$WAS_HOME" ]; then
    if [ -x "$WAS_HOME/bin/setupCmdLine.sh" ]; then
	. "$WAS_HOME/bin/setupCmdLine.sh"
	# WAS's java will now be first in the PATH
	JAVA=`which java 2>/dev/null`
    elif [ -x "$WAS_HOME/java/jre/bin/java" ]; then
	JAVA="$WAS_HOME/java/jre/bin/java"
    fi
fi

if [ -z "$JAVA" -a -n "$JAVA_HOME" ]; then
    if [ -x "$JAVA_HOME/bin/java" ]; then
       JAVA="$JAVA_HOME/bin/java"
    elif [ -x "$JAVA_HOME/jre/bin/java" ]; then
       JAVA="$JAVA_HOME/jre/bin/java"
    fi
fi

if [ -z "$JAVA" ]; then
    JAVA=java
fi

"$JAVA" -classpath "${classpath}" com.tivoli.am.sms.service.ServiceLevel "${@}"
