<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">

<!-- $Id: @(#)25  1.12 src/pdwebsms/install/templatefiles/lastLogin.jsp, pdwebsms.src, amwebsms611 05/06/16 23:10:15 @(#) $                            -->
<!--                                                               -->
<!-- Licensed Materials - Property of IBM                          -->
<!--                                                               -->
<!-- 5748-XX8                                                      -->
<!--                                                               -->
<!-- (C) Copyright International Business Machines Corp. 2005      -->
<!--                                                               -->
<!-- U.S. Government Users Restricted Rights - Use, duplication or -->
<!-- disclosure restricted by GSA ADP Schedule Contract with       -->
<!-- IBM Corp.                                                     -->

<HTML>
<HEAD>
<%@ page 
language="java"
contentType="text/html; charset=ANSI_X3.4-1968"
pageEncoding="ANSI_X3.4-1968"
import="com.tivoli.am.sms.servlet.SessionDataAccess"
import="java.text.DateFormat"
import="java.text.NumberFormat"
import="java.util.Date"
import="java.net.URLDecoder"
%>
<META http-equiv="Content-Type"
	content="text/html; charset=ANSI_X3.4-1968">
<TITLE>Last Login Information</TITLE>
</HEAD>
<BODY>
<P>
<%

// Example Access Manager last login information page.

// Set cache control headers so the last login information is not cached.
response.setHeader("Cache-Control", "no-cache");
response.setHeader("Pragma", "no-cache");

// Retrieve the session index from the request.
// Replace "SMS-Session-Index" with the name of the header containing
// the SMS session index.
String smsSessionIndex = request.getHeader("SMS-Session-Index");

// By default, the session ID value will be URI-encoded when it is 
// inserted into the HTTP request, so it must be decoded here.
// It also may include a server ID prefix, which must be removed.
if (smsSessionIndex != null) {
	int idx = smsSessionIndex.indexOf('_');
	if (idx != -1) {
		smsSessionIndex = smsSessionIndex.substring(idx + 1);
	}
	smsSessionIndex = URLDecoder.decode(smsSessionIndex, "UTF-8");
}

// Retrieve the session object.
Object smsSession = SessionDataAccess.retrieveSession(smsSessionIndex);

if (smsSession == null) {
	%>Last login information is not available.<%
} else {
	// Get the previous login time and number of failed logins
	String failedLogins = SessionDataAccess.getSessionData(smsSession, "com.tivoli.am.sms.uds.nfailures", "sms");
	String successTimeString = SessionDataAccess.getSessionData(smsSession, "com.tivoli.am.sms.uds.success", "sms");
	String failureTimeString = SessionDataAccess.getSessionData(smsSession, "com.tivoli.am.sms.uds.failure", "sms");

	// failedLogins should never get large enough for locale-specific
	// formatting to be an issue, but we do it anyway.
	int nFailedLogins = 0;
	if (failedLogins != null) {
		nFailedLogins = Integer.parseInt(failedLogins);
	}
	NumberFormat numberFormat = NumberFormat.getInstance();
	String formattedFailedLogins = numberFormat.format(nFailedLogins);
		
	// Get date and time formatters
	DateFormat dateFormat = DateFormat.getDateInstance();
	DateFormat timeFormat = DateFormat.getTimeInstance();
		
	// Get formatted time and date strings for the last successful and unsuccessful login times.
	String formattedFailureTime = null;
	String formattedFailureDate = null;
	String formattedSuccessTime = null;
	String formattedSuccessDate = null;

	if (failureTimeString != null) {
		long failureTimeLong = Long.parseLong(failureTimeString);
		Date failureTime = new Date(failureTimeLong);
		formattedFailureTime = timeFormat.format(failureTime);
		formattedFailureDate = dateFormat.format(failureTime);
	}
	if (successTimeString != null) {
		long successTimeLong = Long.parseLong(successTimeString);
		Date successTime = new Date(successTimeLong);
		formattedSuccessTime = timeFormat.format(successTime);
		formattedSuccessDate = dateFormat.format(successTime);
	}

	// Display different messages based on the last login information in the session.
	if ((successTimeString == null) && (nFailedLogins == 0)) {
		// No previous logins, successful or otherwise.
		%>You have not previously logged in.<%
	} else if (successTimeString == null) {
		// Only login failures so far.
		%>You have not previously logged in.  <%
		%>There have been <%= formattedFailedLogins %> unsuccessful login attempts since your account was created, <%
		%>the last at <%= formattedFailureTime %> on <%= formattedFailureDate %>.<%
	} else {
		// Display the previous successful login time and date:
		%>You last logged in at <%= formattedSuccessTime %> on <%= formattedSuccessDate %>.  <%
		if (nFailedLogins == 0) {
			// No failed logins since then.
			%>There have been no unsuccessful login attempts since that time.<%
		} else {
			// Display login failures.
			%>There have been <%= formattedFailedLogins %> unsuccessful login attempts since that time.  <%
			%>The last unsuccessful login attempt was at <%= formattedFailureTime %> on <%= formattedFailureDate %>.<%
		}
	}
}
%>
</P>
</BODY>
</HTML>

